GLOBESite (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.plotLayer
Class GLOBESite

    java.lang.Object
      com.bbn.openmap.layer.plotLayer.GLOBESite

    public class GLOBESite

extends java.lang.Object

Constructor Summary
`GLOBESite(float lat, float lon)`

Method Summary
`void` | `addCurrentTemp(float year, float temp)`
`java.util.Enumeration` | `getAllYears()`
`float` | `getCurrentTemp(float year)`
`OMGraphic` | `getGraphic()`
`java.lang.String` | `getInfo()`
`float` | `getLatitude()`
`float` | `getLongitude()`
`float` | `getMaxTemp()`
`float` | `getMaxYear()`
`float` | `getMinTemp()`
`float` | `getMinYear()`
`java.lang.String` | `getName()`
`float` | `getValueForYear(float year)`
`java.lang.String` | `hash()`
`protected void` | `recalcLimits()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GLOBESite

    public GLOBESite(float lat,
                     float lon)

Method Detail

### hash

    public java.lang.String hash()

### addCurrentTemp

    public void addCurrentTemp(float year,
                               float temp)

### getCurrentTemp

    public float getCurrentTemp(float year)

### getLatitude

    public float getLatitude()

### getLongitude

    public float getLongitude()

### getGraphic

    public final OMGraphic getGraphic()

### getName

    public java.lang.String getName()

### getAllYears

    public java.util.Enumeration getAllYears()

### getMaxTemp

    public float getMaxTemp()

### getMinTemp

    public float getMinTemp()

### getMaxYear

    public float getMaxYear()

### getMinYear

    public float getMinYear()

### getValueForYear

    public float getValueForYear(float year)

### recalcLimits

    protected void recalcLimits()

### getInfo

    public java.lang.String getInfo()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details